@import "../../constants.scss";
@import "../../styles.scss";

.layout {
  width: 33%;
  min-width: 192px;
  max-width: 272px;
}

.inputContainer {
  @extend .layout;
  margin: 0 auto 0.5rem;
}

.checkboxContainer {
  label {
    @extend .generic-label;
    margin-left: 0.25rem;
  }
}

.actionsContainer {
  @extend .layout;
  margin: 0 auto;
  display: flex;
  flex-direction: column;

  > div {
    align-self: flex-start;
  }

  button {
    align-self: center;
    border: none;
    background-color: $GAGGLE_BLUE;
    height: 2rem;
    width: 30%;
    margin-top: 1rem;
    min-width: 6rem;
    padding: 0 1rem;
    box-shadow: 0 1px 2px 0 rgba(0,0,0,0.30);
    border-radius: 3px;
    color: $WHITE;
    font-weight: 400;
    font-size: 0.875rem;
    letter-spacing: 0.15px;
    text-align: center;
    line-height: 20px;
  }
}

